import { ModuleCommands } from './module-commands';
/**
 * Represents all command data for a TypeDoc project, keyed by module/project name.
 *
 * This is a map which refuses to add values that have no command data.
 *
 * The key is later used to lookup the `Reflection` in the TypeDoc project context.
 */
export declare class ProjectCommands extends Map<string, ModuleCommands> {
    set(moduleName: string, moduleCmds: ModuleCommands): this;
    get empty(): boolean;
}
//# sourceMappingURL=project-commands.d.ts.map