import { DeclarationReflection, ProjectReflection } from 'typedoc';
import { CommandData, ExecMethodData } from './command-data';
/**
 * WD spec allows these HTTP methods.
 */
export declare type AllowedHttpMethod = 'GET' | 'POST' | 'DELETE';
/**
 * An Express-style "route", otherwise known as a "URI Template"
 *
 * Aliased for intent
 */
export declare type Route = string;
/**
 * A method name in `BaseDriver` or subclass thereof
 *
 * Currently must be a string, but could theoretically be a {@link PropertyKey}
 *
 * Aliased for intent
 */
export declare type Command = string;
/**
 * All commands for a route.
 */
export declare type CommandSet = Set<CommandData>;
/**
 * A reflection which can be the parent of a {@linkcode ExtensionReflection}
 */
export declare type ParentReflection = DeclarationReflection | ProjectReflection;
/**
 * A map of routes to {@linkcode CommandSet} maps
 */
export declare type RouteMap = Map<Route, CommandSet>;
/**
 * A set of {@linkcode ExecMethodData} objects
 */
export declare type ExecMethodDataSet = Set<ExecMethodData>;
//# sourceMappingURL=types.d.ts.map